curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/appliances/load-balancers/{lb_id}/ipv6/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "action": "attach"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/appliances/load-balancers/{lb_id}/ipv6/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "action": "attach", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/appliances/load-balancers/{lb_id}/ipv6/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "action": "attach" }),});console.log(await response.json());Attaches a public IPv6 address to a load balancer, or detaches the existing one. The operation is selected by the action field in the request body (attach or detach). On success the full load balancer configuration context is returned with the updated host_target_ipv6 and is_ipv6_attached fields. IPv6 is only available for external load balancers.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The id of the load balancer, as returned by the List Load Balancers endpoint.
Example
12345Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Region of the load balancer.
Example
<LOCATION>Request Body
Section titled “Request Body”object
Whether to attach a new public IPv6 address or detach the existing one.
Example
attachResponses
Section titled “Responses”Successful response
Returns the full load balancer configuration context with the updated IPv6 fields.
object
The load balancer configuration context (see the Update Load Balancer request body for the complete field reference).
object
Whether an IPv6 address is currently attached.
The attached IPv6 address (empty/absent when detached).
Comma-separated public IPv4 (and IPv6, when attached) targets.
object
Example
{ "code": 200, "data": { "lb_name": "new-name-1", "lb_type": "external", "lb_mode": "HTTP", "lb_port": "80", "plan_name": "E2E-LB-2", "is_ipv6_attached": false, "host_target_ipv6": "2406:69c0:3000::65", "host_target": "164.52.192.224,2406:69c0:3000::65", "management_ip": "192.168.0.204" }, "message": "IPv6 Attached successfully"}